# Method GTKSupport.Util.decode_image()

Method decode_image

  ``mapping` decode_image(`string` `data`, `mapping`|`array`|`void` `tocolor`)`

Description

  Decodes an image as a GDK1.Pixmap.

Returns

  ``"format"` : `string`` | The MIME content type of the image.
  ``"alpha"` : `GDK1.Bitmap`` | The alpha channel of the image, if any. Otherwise `0`.
  ``"img"` : `GDK1.Bitmap`` | The decoded image.